/*
 * Copyright 2020 Rockchip Electronics S.LSI Co. LTD
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
*/

#ifndef __ROCKCHIP_TOYBRICK_PROPERTIES_H
#define __ROCKCHIP_TOYBRICK_PROPERTIES_H

#ifdef __cplusplus
extern "C" {
#endif

int toybrick_prop_get(const char *key, char *value);
int toybrick_prop_set(const char *key, const char *value);
int toybrick_prop_del(const char *key);
int toybrick_prop_list(const char *key,
		void (*fn)(const char *name, const char *value, void *cookie),
		void *cookei);

#ifdef __cplusplus
}
#endif

#endif
